Bug 866897 - windows are minimizing when scrolling page
windows are minimizing when scrolling page
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-qxl (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alon Levy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-16 05:33 EDT by Jan Sedlák
Modified: 2014-08-04 18:09 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-17 13:45:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
recorded desktop (29.76 MB, video/ogg)
2012-10-16 05:33 EDT, Jan Sedlák
no flags Details
mouse log (22.80 KB, text/plain)
2012-10-31 06:11 EDT, Jan Sedlák
no flags Details

  None (edit)
Description Jan Sedlák 2012-10-16 05:33:23 EDT
Created attachment 628062 [details]
recorded desktop

Description of problem:
When you open some "longer" page - for example in Konqueror - and scroll down and up with the mouse scrollwheel for a while and moving cursor in the same time, window is suddenly minimized.

Steps to Reproduce:
1. Open Konqueror
2. Quickly scroll up and down while moving the cursor
  
Actual results:
Window is suddenly minimized.

Expected results:
It shouldn't minimize.

Additional info:
To convince you that it's not my fault, I have recorded video - you can see how Konqueror minimizes at around 00:08, it minimizes again at 00:49, then at 00:57 it minimizes Eclipse.
Comment 1 Jan Sedlák 2012-10-16 05:34:10 EDT
Correction - it's not minimized, it's only sent to background.
Comment 2 Jan Sedlák 2012-10-16 05:58:56 EDT
It even weirder - if you open one window and second window above the first and you are scrolling up and down while moving cursor, sometimes it scrolls with underlying window - the above window doesn't have to have scrollbars at all!
Comment 3 Jan Sedlák 2012-10-16 06:58:10 EDT
It seems only like problem in virtual environment - it's happening in qemu-kvm, but I have tried it on bare metal and couldn't reproduce it.
Comment 4 Kevin Kofler 2012-10-16 10:52:41 EDT
What graphics driver are you using in the VM, qxl or cirrus (or vesa)?
Comment 5 Jan Sedlák 2012-10-23 04:26:38 EDT
I'm using qxl graphics driver.
Comment 6 Kevin Kofler 2012-10-23 11:54:58 EDT
So this looks like a qxl issue, maybe also a problem on the SPICE client side.
Comment 7 Marc-Andre Lureau 2012-10-23 15:54:07 EDT
(In reply to comment #5)
> I'm using qxl graphics driver.

Hi Jan, I never reproduced that issue. Could you try to reproduce with qemu SDL and VNC drivers? Are you using the touchpad border or a real mouse scroll, or some other device? Does this happen also with windows guest? Perhaps you could also examine/dump the flow of inputs with input-utils and attach it here.

thanks
Comment 8 Jan Sedlák 2012-10-31 06:07:47 EDT
I am able to reproduce with VNC. I am using real mouse scroll - I cannot reproduce it on touchpad, because I'm unable to move with cursor and scroll on touchpad at the same time. I'll try it in windows. I have dump from input-event from input-utils package, I'll attach it, but I don't see anything useful in it.
Comment 9 Jan Sedlák 2012-10-31 06:11:02 EDT
Created attachment 635993 [details]
mouse log
Comment 10 Cole Robinson 2013-12-17 13:45:43 EST
Given that F18 is close to end-of-life, I don't think this bug will be fixed, so closing as WONTFIX. Jan, if you can still reproduce with F19+ VM (with latest qxl driver from updates testing, please reopen)

Note You need to log in before you can comment on or make changes to this bug.